theta=[0 pi/2 pi (3*pi/2) 2*pi];
rho=zeros(9,5);
rho(1:9,1)=C50_3(1:9,1);
rho(1:9,2)=C50_1(3:11,1);
rho(1:9,3)=C50_4(1:9,1);
rho(1:9,4)=C50_2(3:11,1);
rho(1:9,5)=rho(1:9,1);

figure
polarplot(theta,rho(1,1:5),'-r')
hold on
polarplot(theta,rho(2,1:5),'-b')
polarplot(theta,rho(3,1:5),':k', 'LineWidth',1.5)
polarplot(theta,rho(4,1:5),'-g')
polarplot(theta,rho(5,1:5),'-c')
polarplot(theta,rho(6,1:5),'-m')
polarplot(theta,rho(7,1:5),'-k')
polarplot(theta,rho(8,1:5),'--r')
polarplot(theta,rho(9,1:5),'--b')
hold off
ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaTick=[0 90 180 270];
ax.ThetaTickLabel={'0'; '90' ; '180'; '270'};
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-45);
ax.RMinorGrid=('on');
ax.RColor=('r');
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);

legend('1,5 m','2 m','2,5 m', '3 m', '4 m', '5 m', '6 m', '7 m', '8 m')

export_fig polar125 -pdf

rho(1:9,1)=C50_3(1:9,2);
rho(1:9,2)=C50_1(3:11,2);
rho(1:9,3)=C50_4(1:9,2);
rho(1:9,4)=C50_2(3:11,2);
rho(1:9,5)=rho(1:9,1);

figure
polarplot(theta,rho(1,1:5),'-r')
hold on
polarplot(theta,rho(2,1:5),'-b')
polarplot(theta,rho(3,1:5),':k', 'LineWidth',1.5)
polarplot(theta,rho(4,1:5),'-g')
polarplot(theta,rho(5,1:5),'-c')
polarplot(theta,rho(6,1:5),'-m')
polarplot(theta,rho(7,1:5),'-k')
polarplot(theta,rho(8,1:5),'--r')
polarplot(theta,rho(9,1:5),'--b')
hold off

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaTick=[0 90 180 270];
ax.ThetaTickLabel={'0'; '90' ; '180'; '270'};
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-45);
ax.RMinorGrid=('on');
ax.RColor=('r');
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);

legend('1,5 m','2 m','2,5 m', '3 m', '4 m', '5 m', '6 m', '7 m', '8 m')

export_fig polar250 -pdf

rho(1:9,1)=C50_3(1:9,3);
rho(1:9,2)=C50_1(3:11,3);
rho(1:9,3)=C50_4(1:9,3);
rho(1:9,4)=C50_2(3:11,3);
rho(1:9,5)=rho(1:9,1);

figure
polarplot(theta,rho(1,1:5),'-r')
hold on
polarplot(theta,rho(2,1:5),'-b')
polarplot(theta,rho(3,1:5),':k', 'LineWidth',1.5)
polarplot(theta,rho(4,1:5),'-g')
polarplot(theta,rho(5,1:5),'-c')
polarplot(theta,rho(6,1:5),'-m')
polarplot(theta,rho(7,1:5),'-k')
polarplot(theta,rho(8,1:5),'--r')
polarplot(theta,rho(9,1:5),'--b')
hold off

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaTick=[0 90 180 270];
ax.ThetaTickLabel={'0'; '90' ; '180'; '270'};
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-45);
ax.RMinorGrid=('on');
ax.RColor=('r');
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);

legend('1,5 m','2 m','2,5 m', '3 m', '4 m', '5 m', '6 m', '7 m', '8 m')

export_fig polar500 -pdf

rho(1:9,1)=C50_3(1:9,4);
rho(1:9,2)=C50_1(3:11,4);
rho(1:9,3)=C50_4(1:9,4);
rho(1:9,4)=C50_2(3:11,4);
rho(1:9,5)=rho(1:9,1);

figure
polarplot(theta,rho(1,1:5),'-r')
hold on
polarplot(theta,rho(2,1:5),'-b')
polarplot(theta,rho(3,1:5),':k', 'LineWidth',1.5)
polarplot(theta,rho(4,1:5),'-g')
polarplot(theta,rho(5,1:5),'-c')
polarplot(theta,rho(6,1:5),'-m')
polarplot(theta,rho(7,1:5),'-k')
polarplot(theta,rho(8,1:5),'--r')
polarplot(theta,rho(9,1:5),'--b')
hold off

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaTick=[0 90 180 270];
ax.ThetaTickLabel={'0'; '90' ; '180'; '270'};
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-45);
ax.RMinorGrid=('on');
ax.RColor=('r');
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);

legend('1,5 m','2 m','2,5 m', '3 m', '4 m', '5 m', '6 m', '7 m', '8 m')

export_fig polar1k -pdf

rho(1:9,1)=C50_3(1:9,5);
rho(1:9,2)=C50_1(3:11,5);
rho(1:9,3)=C50_4(1:9,5);
rho(1:9,4)=C50_2(3:11,5);
rho(1:9,5)=rho(1:9,1);

figure
polarplot(theta,rho(1,1:5),'-r')
hold on
polarplot(theta,rho(2,1:5),'-b')
polarplot(theta,rho(3,1:5),':k', 'LineWidth',1.5)
polarplot(theta,rho(4,1:5),'-g')
polarplot(theta,rho(5,1:5),'-c')
polarplot(theta,rho(6,1:5),'-m')
polarplot(theta,rho(7,1:5),'-k')
polarplot(theta,rho(8,1:5),'--r')
polarplot(theta,rho(9,1:5),'--b')
hold off

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaTick=[0 90 180 270];
ax.ThetaTickLabel={'0'; '90' ; '180'; '270'};
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-45);
ax.RMinorGrid=('on');
ax.RColor=('r');
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);

legend('1,5 m','2 m','2,5 m', '3 m', '4 m', '5 m', '6 m', '7 m', '8 m')

export_fig polar2k -pdf

rho(1:9,1)=C50_3(1:9,6);
rho(1:9,2)=C50_1(3:11,6);
rho(1:9,3)=C50_4(1:9,6);
rho(1:9,4)=C50_2(3:11,6);
rho(1:9,5)=rho(1:9,1);

figure
polarplot(theta,rho(1,1:5),'-r')
hold on
polarplot(theta,rho(2,1:5),'-b')
polarplot(theta,rho(3,1:5),':k', 'LineWidth',1.5)
polarplot(theta,rho(4,1:5),'-g')
polarplot(theta,rho(5,1:5),'-c')
polarplot(theta,rho(6,1:5),'-m')
polarplot(theta,rho(7,1:5),'-k')
polarplot(theta,rho(8,1:5),'--r')
polarplot(theta,rho(9,1:5),'--b')
hold off

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaTick=[0 90 180 270];
ax.ThetaTickLabel={'0'; '90' ; '180'; '270'};
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-45);
ax.RMinorGrid=('on');
ax.RColor=('r');
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);

legend('1,5 m','2 m','2,5 m', '3 m', '4 m', '5 m', '6 m', '7 m', '8 m')

export_fig polar4k -pdf
