La_mean=mean(La_lin,2);
C50_mean=mean(C50_lin,2);

p=polyfit(x',La_mean,4);

La_mfit=zeros(1,24);
for i=1:24
    La_mfit(i)=p(1)*x(i)^4+p(2)*x(i)^3+p(3)*x(i)^2+p(4)*x(i)+p(5);
end

p=polyfit(x',C50_mean,4);

C50_mfit=zeros(1,24);
for i=1:24
    C50_mfit(i)=p(1)*x(i)^4+p(2)*x(i)^3+p(3)*x(i)^2+p(4)*x(i)+p(5);
end


figure
yyaxis left
plot(x,La_mfit)
xlim([0 12.4])
xticks([0:1:12])
ylim([56 76]);

yyaxis right
plot(x,C50_mfit)
ylim([0 20])


figure
yyaxis left
plot(x,La_mean)
xlim([0 12.4])
xticks([0:1:12])
ylim([56 76]);

yyaxis right
plot(x,C50_mean)
ylim([0 20])