 set(0,'defaultlinelinewidth',1.2)

theta=[-pi:(pi/12):pi];
C=zeros(25,16);
A=xlsread('dir', 'C2:R14');
B=flipud(A);
C(13:25,1:16)=A;
C(1:12,1:16)=B(1:12,1:16);

rho=zeros(25,4);
D=C(1:25,2:4);
rho(1:25,1:3)=D;
rho(1:25,4)=mean(D,2);

figure
polarplot(theta,rho)

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaLim=[-180 180];
ax.ThetaTick=[-180:15:180];
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-15);
ax.RMinorGrid=('off');
ax.RColor=('r');
ax.RTick=[-54:6:6];
ax.RTickLabel={'','','','-36 dB','','-24 dB','','-12 dB','','0 dB',''};
ax.RLim=[-54 6];
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);
legend('200 Hz', '250 Hz', '315 Hz', '250 Hz 1/1')
export_fig ph250 -pdf


D=C(1:25,5:7);
rho(1:25,1:3)=D;
rho(1:25,4)=mean(D,2);

figure
polarplot(theta,rho)

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaLim=[-180 180];
ax.ThetaTick=[-180:15:180];
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-15);
ax.RMinorGrid=('off');
ax.RColor=('r');
ax.RTick=[-54:6:6];
ax.RTickLabel={'','','','-36 dB','','-24 dB','','-12 dB','','0 dB',''};
ax.RLim=[-54 6];
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);
legend('400 Hz', '500 Hz', '630 Hz', '500 Hz 1/1')
export_fig ph500 -pdf


D=C(1:25,8:10);
rho(1:25,1:3)=D;
rho(1:25,4)=mean(D,2);

figure
polarplot(theta,rho)

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaLim=[-180 180];
ax.ThetaTick=[-180:15:180];
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-15);
ax.RMinorGrid=('off');
ax.RColor=('r');
ax.RTick=[-54:6:6];
ax.RTickLabel={'','','','-36 dB','','-24 dB','','-12 dB','','0 dB',''};
ax.RLim=[-54 6];
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);
legend('800 Hz', '1000 Hz', '1250 Hz', '1 kHz 1/1')
export_fig ph1k -pdf


D=C(1:25,11:13);
rho(1:25,1:3)=D;
rho(1:25,4)=mean(D,2);

figure
polarplot(theta,rho)

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaLim=[-180 180];
ax.ThetaTick=[-180:15:180];
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-15);
ax.RMinorGrid=('off');
ax.RColor=('r');
ax.RTick=[-54:6:6];
ax.RTickLabel={'','','','-36 dB','','-24 dB','','-12 dB','','0 dB',''};
ax.RLim=[-54 6];
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);
legend('1600 Hz', '2000 Hz', '2500 Hz', '2 kHz 1/1')
export_fig ph2k -pdf


D=C(1:25,14:16);
rho(1:25,1:3)=D;
rho(1:25,4)=mean(D,2);

figure
polarplot(theta,rho)

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaLim=[-180 180];
ax.ThetaTick=[-180:15:180];
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-15);
ax.RMinorGrid=('off');
ax.RColor=('r');
ax.RTick=[-54:6:6];
ax.RTickLabel={'','','','-36 dB','','-24 dB','','-12 dB','','0 dB',''};
ax.RLim=[-54 6];
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);
legend('3150 Hz', '4000 Hz', '5000 Hz', '4 kHz 1/1')
export_fig ph4k -pdf

rho=C(1:25,1);

figure
polarplot(theta,rho)

ax=gca;
ax.ThetaZeroLocation = ('top');
ax.ThetaLim=[-180 180];
ax.ThetaTick=[-180:15:180];
ax.RAxisLocationMode=('manual');
ax.RAxisLocation=(-15);
ax.RMinorGrid=('off');
ax.RColor=('r');
ax.RTick=[-54:6:6];
ax.RTickLabel={'','','','-36 dB','','-24 dB','','-12 dB','','0 dB',''};
ax.RLim=[-54 6];
ax.GridColor=('k');
ax.MinorGridColor=('k');
ax.MinorGridLineStyle=('-');
ax.GridAlpha=(0.5);
ax.MinorGridAlpha=(0.2);
set(gcf,'color','w');
set(gca, 'LooseInset', [0,0,0,0]);
legend('160 Hz')
export_fig ph160 -pdf
